Bug 222017 - devel/dconf: update to 0.26.0, unbreak build with vala 0.36
Summary: devel/dconf: update to 0.26.0, unbreak build with vala 0.36
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-gnome mailing list
URL:
Keywords:
Depends on:
Blocks: 221941 222018
  Show dependency treegraph
 
Reported: 2017-09-03 08:18 UTC by Carlos J. Puga Medina
Modified: 2017-10-20 17:14 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (gnome)
cpm: exp-run?


Attachments
patch (4.85 KB, patch)
2017-09-03 08:18 UTC, Carlos J. Puga Medina
no flags Details | Diff
patch (3.68 KB, patch)
2017-09-03 08:53 UTC, Carlos J. Puga Medina
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J. Puga Medina freebsd_committer 2017-09-03 08:18:07 UTC
Created attachment 186019 [details]
patch

configure: error: xsltproc is required for --enable-man
===>  Script "configure" failed unexpectedly.
Please report the problem to gnome@FreeBSD.org [maintainer] and attach the
"/wrkdirs/usr/ports/devel/dconf/work/dconf-0.24.0/config.log" including the
output of the failure of your make command. Also, it might be a good idea to
provide an overview of all packages installed on your system (e.g. a
/usr/local/sbin/pkg-static info -g -Ea).
*** Error code 1

build log: http://package23.nyi.freebsd.org/data/110i386-default-PR221941/2017-08-31_07h56m24s/logs/dconf-0.24.0_1.log
Comment 1 Antoine Brodin freebsd_committer 2017-09-03 08:40:16 UTC
the patch is wrong (hardcoded /usr/local)
Comment 2 Carlos J. Puga Medina freebsd_committer 2017-09-03 08:53:01 UTC
Created attachment 186021 [details]
patch

Regenerate patch file properly
Comment 3 Carlos J. Puga Medina freebsd_committer 2017-09-03 08:54:37 UTC
(In reply to Antoine Brodin from comment #1)

It has been fixed in the new diff.

Thanks
Comment 4 Antoine Brodin freebsd_committer 2017-09-03 18:14:33 UTC
what is the plan?  forget the vala update for the moment?
Comment 5 Carlos J. Puga Medina freebsd_committer 2017-09-03 18:40:51 UTC
(In reply to Antoine Brodin from comment #4)

I think it will be better to start with the dconf update while I finish patching the ports that fail with the vala update.

Thanks Antoine!
Comment 6 Carlos J. Puga Medina freebsd_committer 2017-10-15 16:48:36 UTC
Antoine,

Would you mind starting an exp-run for dconf?

Thanks in advance
Comment 7 Antoine Brodin freebsd_committer 2017-10-17 05:59:51 UTC
ping kwm?
IIRC you were not ok with this change..
Comment 8 commit-hook freebsd_committer 2017-10-20 17:13:23 UTC
A commit references this bug:

Author: kwm
Date: Fri Oct 20 17:13:00 UTC 2017
New revision: 452544
URL: https://svnweb.freebsd.org/changeset/ports/452544

Log:
  Update dconf to 0.26.1.

  This allows vala to be updated to 0.36.

  PR:		222017 (based on)
  Submitted by:	cpm@

Changes:
  head/devel/dconf/Makefile
  head/devel/dconf/distinfo
  head/devel/dconf/files/patch-docs_Makefile.in
  head/devel/dconf/pkg-descr
  head/devel/dconf/pkg-plist